Update Group by IDpatch https://{hostname}/api/talk/groups/v1/groups/{id}This operation updates a group by ID. Authorization and Permissions An OpenAm or UKG Authentication token is required to update the group. The user must have content update permission, which is granted by a Talk administrator. Path ParamsidstringrequiredThe ID of the group to update.Body ParamsThe Update Group by ID request payload.namestringThe name of the group.descriptionstringThe description of the group.groupAccessstringThe type of a group access. Public, Closed and Private groups are currently supported with values of Public, Closed and Private respectivelypreferencesobjectThe preferences associated with a group of feed type.preferences objecticonobjectThe attachment model used across different content types.icon objectHeadersx-correlation-idstringA UUID value to track the request, used for debugging and tracing.acceptstringenumDefaults to application/jsonGenerated from available response content typesapplication/jsonapplication/problem+jsonAllowed:application/jsonapplication/problem+jsonResponses 200Successfully updated the group. 400The HTTP status code 400 Bad Request error, thrown when required parameters are not passed. 401The HTTP status code 401 Unauthorized error, thrown when the user is not authorized to access the resource. 403The HTTP status code 403 Forbidden error, thrown when the user is not authorized to access the resource. 404The HTTP status code 404 Not Found error, thrown when the group is not found. 405The HTTP status code 405 Method Not Allowed error, thrown when you attempt to call a URI with an unsupported HTTP method. 406The HTTP status code 406 Not Acceptable Content error, thrown when you send a request with accept header other than application/json. 409The HTTP status code 409 Conflict error, thrown when a new resource conflicts with an existing resource. 413The HTTP status code 413 Payload Too Large error, thrown when you attempt to pass a request payload that exceeds the limit. 429The HTTP status code 429 Too Many Requests error, thrown when the user exceeds the allowed rate limit for the API. 500The HTTP status code 500 Internal Server error, thrown when the server is not able to process the request.Updated 3 months ago Delete Group by IDAdd Users to Group by IDDid this page help you?YesNo